<%@ Page Language="C#" AutoEventWireup="true" %>

<%@ Import Namespace="System.Data" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>DataTable Demo</title>

    <script runat="server">
        [System.Web.Services.WebMethod]
        [Microsoft.Web.Script.Services.ScriptMethod]
        public static DataTable GetDataTable()
        {
            DataTable myDataTable = new DataTable();
            myDataTable.Columns.Add(new DataColumn("Id", typeof(int)));
            myDataTable.Columns.Add(new DataColumn("Name", typeof(string)));

            for (int i = 0; i < 10; ++i)
            {
                DataRow newRow = myDataTable.NewRow();
                newRow["Id"] = i;
                newRow["Name"] = string.Format("Name {0}", i);

                myDataTable.Rows.Add(newRow);
            }

            return myDataTable;
        }
    </script>

    <script language="javascript" type="text/javascript">
// <!CDATA[

function btnGetDataTable_onclick() 
{
    PageMethods.GetDataTable(cb_getDataTable);
}

function cb_getDataTable(result)
{
    result = parseBetaDataTable(result);
    
    var contentBuilder = new Sys.StringBuilder();
    for (var i = 0; i < result.get_length(); ++i)
    {
        contentBuilder.append("<strong>Id</strong>: ");
        contentBuilder.append(result.getRow(i).getProperty("Id"));
        contentBuilder.append(" <strong>Name</strong>: ");
        contentBuilder.append(result.getRow(i).getProperty("Name"));
        contentBuilder.append("<br />");
    }
    
    $get("result").innerHTML = contentBuilder.toString();
}

function parseBetaDataTable(tbl)
{
    eval('var tblrows = ' + tbl.dataArray.slice(0, tbl.dataArray.length-1) + ';');
    tbl = new Sys.Preview.Data.DataTable(tbl.columns, tblrows);
    return tbl;
}

// ]]>
    </script>

</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Microsoft.Web.Preview" Name="Microsoft.Web.Resources.ScriptLibrary.PreviewScript.js" />
            </Scripts>
        </asp:ScriptManager>
        <input id="btnGetDataTable" type="button" value="Get DataTable" onclick="return btnGetDataTable_onclick()" />
        <div id="result">
        </div>
    </form>
</body>
</html>
